﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace HDP1223Demo
{
    class Program
    {
        static void Main(string[] args)
        {
            var init = HDP135VLib.InitSerialPort(1);
            Console.WriteLine($"init={init}");
            if (init == true)
            {
                var setPowerSwitch = HDP135VLib.SetPowerSwitch(true);
                Console.WriteLine($"setPowerSwitch={setPowerSwitch}");

                bool readState = false;
                HDP135VLib.ReadPowerSwitch(ref readState);
                Console.WriteLine($"readState={readState}");

                var setVoltagValue = new Random().Next(1, 30);
                HDP135VLib.SetVoltag(setVoltagValue);

                var readVoltagValue = 0f;
                HDP135VLib.ReadVoltag_set(ref readVoltagValue);
                Console.WriteLine($"readVoltagValue={readVoltagValue}");
            }

            Console.ReadKey();
        }
    }

    public static class HDP135VLib
    {
        [DllImport("HDP135VLib.dll", CallingConvention = CallingConvention.Cdecl)]
        public extern static bool InitSerialPort(byte com);

        [DllImport("HDP135VLib.dll", CallingConvention = CallingConvention.Cdecl)]
        public extern static bool ReadPowerSwitch(ref bool readState);

        [DllImport("HDP135VLib.dll", CallingConvention = CallingConvention.Cdecl)]
        public extern static bool SetPowerSwitch(bool state);

        [DllImport("HDP135VLib.dll", CallingConvention = CallingConvention.Cdecl)]
        public extern static bool ReadVoltag_set(ref float readVoltag);

        [DllImport("HDP135VLib.dll", CallingConvention = CallingConvention.Cdecl)]
        public extern static bool SetVoltag(float voltag);
    }
}
