import ctypes
import os

CUR_PATH = os.path.dirname(__file__)
dllPath = os.path.join(CUR_PATH, "HDP135BLib.dll")
print(dllPath)

# HDP135BLib = ctypes.WinDLL(dllPath)
# print(HDP135BLib)

HDP135BLib = ctypes.cdll.LoadLibrary(dllPath)
print(HDP135BLib)

initResult = HDP135BLib.InitSerialPort(1)
print("initResult={initResult}".format(initResult=initResult))

setVoltagValue = 2.2
HDP135BLib.SetVoltag(setVoltagValue)

readVoltagValue = 0
HDP135BLib.ReadVoltag_set(readVoltagValue)
print("readVoltagValue={readVoltagValue}".format(readVoltagValue=readVoltagValue))

setPowerSwitch = HDP135BLib.SetPowerSwitch(True)
print("setPowerSwitch={setPowerSwitch}".format(setPowerSwitch=setPowerSwitch))

readState = False
HDP135BLib.ReadPowerSwitch(readState)
print("readState={readState}".format(readState=readState))
